Subject: Re: linux-next: build failure after merge of the namespace tree

From: [email-masked] (Eric W. Biederman)
Date: Tue, 10 May 2011 21:21:12 -0700

Stephen Rothwell <[email-masked]> writes:

> Hi Eric,
>
> After merging the namespace tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
> In file included from arch/powerpc/platforms/cell/spu_callbacks.c:49:
> arch/powerpc/include/asm/systbl.h:356: error: 'sys_setns' undeclared here (not in a function)
>
> Caused by commit e975ee91dcc1 ("ns: Wire up the setns system call").
> sys_setns should be declared in include/linux/syscalls.h.
>
> I have dropped the namespace tree for today.

Ouch.  I guess I must have missed something I will take a look.
My apologies for the trouble.

Eric